Creates an external agent with a deal guid.
POST
/deals/{dealId}/external-agents
curl \
--request POST 'http://api.example.com/deals/{dealId}/external-agents' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{"id":"string (UUID)","typeCode":"string","companyName":"string","prefix":"string","firstName":"string","middleName":"string","lastName":"string","suffix":"string","endCode":"string","payBroker":"boolean","taxId":"string","taxExempt":"boolean","taxCharged":"boolean","use1099":"boolean","mlsId":"string","addresses":[{"typeCode":"string","line1":"string","line2":"string","city":"string","provinceCode":"string","postalCode":"string","countryCode":"string"}],"phoneNumbers":[{"typeCode":"string","ext":"string","number":"string"}],"emailAddresses":[{"typeCode":"string","address":"string"}]}'
Request example
{
"id": "string (UUID)",
"typeCode": "string",
"companyName": "string",
"prefix": "string",
"firstName": "string",
"middleName": "string",
"lastName": "string",
"suffix": "string",
"endCode": "string",
"payBroker": "boolean",
"taxId": "string",
"taxExempt": "boolean",
"taxCharged": "boolean",
"use1099": "boolean",
"mlsId": "string",
"addresses": [
{
"typeCode": "string",
"line1": "string",
"line2": "string",
"city": "string",
"provinceCode": "string",
"postalCode": "string",
"countryCode": "string"
}
],
"phoneNumbers": [
{
"typeCode": "string",
"ext": "string",
"number": "string"
}
],
"emailAddresses": [
{
"typeCode": "string",
"address": "string"
}
]
}
Response examples (201)
{}
Response examples (409)
{
"code": 42,
"message": "string",
"details": [
"string"
]
}